import numpy as np
from sklearn.datasets import make_classification
import matplotlib.pyplot as plt

# Leemos los datos
D = np.genfromtxt( "d.txt", usecols=(1,2) )

h1, vals1 = np.histogram( D[:,0], bins=5 )
h2, vals2 = np.histogram( D[:,1], bins=5 )

print( h1 )
print( vals1 )
print( )
print( h2 )
print( vals2 )

fig, [ax1, ax2] = plt.subplots(ncols=2,nrows=1)

mybins = [ 0.75, 0.80, 0.85, 0.90, 0.95, 1.0 ]

ax1.hist( D[:,0], bins=mybins )
ax1.set_ylim( 0, 1500 )

ax2.hist( D[:,1], bins=mybins )
ax2.set_ylim( 0, 1500 )

plt.show( )

